Index: uspace/app/sbi/src/mytypes.h
===================================================================
--- uspace/app/sbi/src/mytypes.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/mytypes.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,8 +53,5 @@
 /** We need NULL defined. */
 #include <stddef.h>
-
-#ifndef EOK
 #define EOK 0
-#endif
 
 #include "bigint_t.h"
Index: uspace/app/sbi/src/os/helenos.c
===================================================================
--- uspace/app/sbi/src/os/helenos.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/os/helenos.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -151,5 +151,5 @@
  *			EIO on decoding error.
  */
-errno_t os_str_get_char(const char *str, int index, int *out_char)
+int os_str_get_char(const char *str, int index, int *out_char)
 {
 	size_t offset;
@@ -210,8 +210,8 @@
  * @param ptr	Place to store pointer to new string.
  */
-errno_t os_input_line(const char *prompt, char **ptr)
+int os_input_line(const char *prompt, char **ptr)
 {
 	char *line;
-	errno_t rc;
+	int rc;
 
 	if (tinput == NULL) {
@@ -247,11 +247,10 @@
  *		Command is present just one, not duplicated.
  */
-errno_t os_exec(char *const cmd[])
+int os_exec(char *const cmd[])
 {
 	task_id_t tid;
 	task_wait_t twait;
 	task_exit_t texit;
-	errno_t rc;
-	int retval;
+	int rc, retval;
 
 	rc = task_spawnv(&tid, &twait, cmd[0], (char const * const *) cmd);
Index: uspace/app/sbi/src/os/os.h
===================================================================
--- uspace/app/sbi/src/os/os.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/os/os.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -35,9 +35,9 @@
 char *os_str_dup(const char *str);
 size_t os_str_length(const char *str);
-errno_t os_str_get_char(const char *str, int index, int *out_char);
+int os_str_get_char(const char *str, int index, int *out_char);
 char *os_chr_to_astr(wchar_t chr);
 void os_input_disp_help(void);
-errno_t os_input_line(const char *prompt, char **ptr);
-errno_t os_exec(char * const cmd[]);
+int os_input_line(const char *prompt, char **ptr);
+int os_exec(char * const cmd[]);
 
 void os_store_ef_path(char *path);
Index: uspace/app/sbi/src/os/posix.c
===================================================================
--- uspace/app/sbi/src/os/posix.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/os/posix.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -114,5 +114,5 @@
  * @return	Zero if equal, nonzero if not equal
  */
-errno_t os_str_cmp(const char *a, const char *b)
+int os_str_cmp(const char *a, const char *b)
 {
 	return strcmp(a, b);
@@ -147,5 +147,5 @@
  *			EIO on decoding error.
  */
-errno_t os_str_get_char(const char *str, int index, int *out_char)
+int os_str_get_char(const char *str, int index, int *out_char)
 {
 	size_t len;
@@ -193,5 +193,5 @@
  * @param ptr	Place to store pointer to new string.
  */
-errno_t os_input_line(const char *prompt, char **ptr)
+int os_input_line(const char *prompt, char **ptr)
 {
 	printf("%s", prompt);
@@ -214,5 +214,5 @@
  *		Command is present just one, not duplicated.
  */
-errno_t os_exec(char *const cmd[])
+int os_exec(char *const cmd[])
 {
 	pid_t pid;
Index: uspace/app/sbi/src/program.c
===================================================================
--- uspace/app/sbi/src/program.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/program.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,10 +55,10 @@
  *			EINVAL if file has syntax errors.
  */
-errno_t program_file_process(stree_program_t *program, const char *fname)
+int program_file_process(stree_program_t *program, const char *fname)
 {
 	input_t *input;
 	lex_t lex;
 	parse_t parse;
-	errno_t rc;
+	int rc;
 
 	rc = input_new_file(&input, fname);
@@ -91,7 +91,7 @@
  *			has syntax errors.
  */
-errno_t program_lib_process(stree_program_t *program)
+int program_lib_process(stree_program_t *program)
 {
-	errno_t rc;
+	int rc;
 	char *path, *fname;
 	char *tmp;
Index: uspace/app/sbi/src/program.h
===================================================================
--- uspace/app/sbi/src/program.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/program.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -32,6 +32,6 @@
 #include "mytypes.h"
 
-errno_t program_file_process(stree_program_t *program, const char *fname);
-errno_t program_lib_process(stree_program_t *program);
+int program_file_process(stree_program_t *program, const char *fname);
+int program_lib_process(stree_program_t *program);
 
 #endif
Index: uspace/app/sbi/src/run_expr.c
===================================================================
--- uspace/app/sbi/src/run_expr.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/run_expr.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -1414,5 +1414,5 @@
 	int length;
 	int i;
-	errno_t rc;
+	int rc;
 	int iextent;
 
@@ -2287,5 +2287,5 @@
 	int elem_index;
 	int arg_val;
-	errno_t rc;
+	int rc;
 
 	rdata_item_t *ritem;
@@ -2476,5 +2476,5 @@
 	int elem_index;
 	int arg_val;
-	errno_t rc1, rc2;
+	int rc1, rc2;
 
 	rdata_value_t *value;
Index: uspace/app/sbi/src/stype.c
===================================================================
--- uspace/app/sbi/src/stype.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/stype.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -1890,5 +1890,5 @@
  * @return		EOK if equal, EINVAL if not.
  */
-errno_t stype_targs_check_equal(stype_t *stype, tdata_item_t *a_ti,
+int stype_targs_check_equal(stype_t *stype, tdata_item_t *a_ti,
     tdata_item_t *b_ti)
 {
Index: uspace/app/sbi/src/stype.h
===================================================================
--- uspace/app/sbi/src/stype.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sbi/src/stype.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
 tdata_item_t *stype_tobject_find_pred(stype_t *stype, tdata_item_t *src,
     tdata_item_t *dest);
-errno_t stype_targs_check_equal(stype_t *stype, tdata_item_t *a_ti,
+int stype_targs_check_equal(stype_t *stype, tdata_item_t *a_ti,
     tdata_item_t *b_ti);
 
Index: uspace/app/sportdmp/sportdmp.c
===================================================================
--- uspace/app/sportdmp/sportdmp.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sportdmp/sportdmp.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -33,5 +33,4 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <str.h>
 
 #define BUF_SIZE 1
@@ -51,5 +50,5 @@
 
 	int arg = 1;
-	errno_t rc;
+	int rc;
 
 	if (argc > arg && str_test_prefix(argv[arg], "--baud=")) {
Index: uspace/app/stats/stats.c
===================================================================
--- uspace/app/stats/stats.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/stats/stats.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -274,5 +274,5 @@
 			// TODO: Support for 64b range
 			int tmp;
-			errno_t ret = arg_parse_int(argc, argv, &i, &tmp, off);
+			int ret = arg_parse_int(argc, argv, &i, &tmp, off);
 			if (ret != EOK) {
 				printf("%s: Malformed task_id '%s'\n", NAME, argv[i]);
Index: uspace/app/sysinfo/sysinfo.c
===================================================================
--- uspace/app/sysinfo/sysinfo.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sysinfo/sysinfo.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,4 @@
 #include <sysinfo.h>
 #include <stdlib.h>
-#include <str.h>
 
 static void dump_bytes_hex(char *data, size_t size)
@@ -61,8 +60,8 @@
 }
 
-static errno_t print_item_val(char *ipath)
+static int print_item_val(char *ipath)
 {
 	sysarg_t value;
-	errno_t rc = sysinfo_get_value(ipath, &value);
+	int rc = sysinfo_get_value(ipath, &value);
 	if (rc != EOK) {
 		printf("Error reading item '%s'.\n", ipath);
Index: uspace/app/sysinst/futil.c
===================================================================
--- uspace/app/sysinst/futil.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sysinst/futil.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,19 +54,19 @@
  * @return EOK on success, EIO on I/O error
  */
-errno_t futil_copy_file(const char *srcp, const char *destp)
+int futil_copy_file(const char *srcp, const char *destp)
 {
 	int sf, df;
 	size_t nr, nw;
-	errno_t rc;
+	int rc;
 	aoff64_t posr = 0, posw = 0;
 
 	printf("Copy '%s' to '%s'.\n", srcp, destp);
 
-	rc = vfs_lookup_open(srcp, WALK_REGULAR, MODE_READ, &sf);
-	if (rc != EOK)
-		return EIO;
-
-	rc = vfs_lookup_open(destp, WALK_REGULAR | WALK_MAY_CREATE, MODE_WRITE, &df);
-	if (rc != EOK)
+	sf = vfs_lookup_open(srcp, WALK_REGULAR, MODE_READ);
+	if (sf < 0)
+		return EIO;
+
+	df = vfs_lookup_open(destp, WALK_REGULAR | WALK_MAY_CREATE, MODE_WRITE);
+	if (df < 0)
 		return EIO;
 
@@ -87,5 +87,5 @@
 
 	rc = vfs_put(df);
-	if (rc != EOK)
+	if (rc < 0)
 		return EIO;
 
@@ -104,11 +104,11 @@
  * @return EOK on success, ENOMEM if out of memory, EIO on I/O error
  */
-errno_t futil_rcopy_contents(const char *srcdir, const char *destdir)
+int futil_rcopy_contents(const char *srcdir, const char *destdir)
 {
 	DIR *dir;
 	struct dirent *de;
-	vfs_stat_t s;
+	struct stat s;
 	char *srcp, *destp;
-	errno_t rc;
+	int rc;
 
 	dir = opendir(srcdir);
@@ -158,15 +158,15 @@
  *         I/O error, ENOMEM if out of memory
  */
-errno_t futil_get_file(const char *srcp, void **rdata, size_t *rsize)
+int futil_get_file(const char *srcp, void **rdata, size_t *rsize)
 {
 	int sf;
 	size_t nr;
-	errno_t rc;
+	int rc;
 	size_t fsize;
 	char *data;
-	vfs_stat_t st;
-
-	rc = vfs_lookup_open(srcp, WALK_REGULAR, MODE_READ, &sf);
-	if (rc != EOK)
+	struct stat st;
+
+	sf = vfs_lookup_open(srcp, WALK_REGULAR, MODE_READ);
+	if (sf < 0)
 		return ENOENT;
 
Index: uspace/app/sysinst/futil.h
===================================================================
--- uspace/app/sysinst/futil.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sysinst/futil.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,7 +41,7 @@
 #include <stddef.h>
 
-extern errno_t futil_copy_file(const char *, const char *);
-extern errno_t futil_rcopy_contents(const char *, const char *);
-extern errno_t futil_get_file(const char *, void **, size_t *);
+extern int futil_copy_file(const char *, const char *);
+extern int futil_rcopy_contents(const char *, const char *);
+extern int futil_get_file(const char *, void **, size_t *);
 
 #endif
Index: uspace/app/sysinst/sysinst.c
===================================================================
--- uspace/app/sysinst/sysinst.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/sysinst/sysinst.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,8 +44,6 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <str_error.h>
 #include <task.h>
 #include <vfs/vfs.h>
-#include <str.h>
 
 #include "futil.h"
@@ -84,7 +82,7 @@
  * @param pdev Place to store partition device name
  *
- * @return EOK on success or an error code
- */
-static errno_t sysinst_label_dev(const char *dev, char **pdev)
+ * @return EOK on success or error code
+ */
+static int sysinst_label_dev(const char *dev, char **pdev)
 {
 	fdisk_t *fdisk;
@@ -94,5 +92,5 @@
 	cap_spec_t cap;
 	service_id_t sid;
-	errno_t rc;
+	int rc;
 
 	printf("sysinst_label_dev(): get service ID '%s'\n", dev);
@@ -119,5 +117,5 @@
 	rc = fdisk_label_create(fdev, lt_mbr);
 	if (rc != EOK) {
-		printf("Error creating label: %s.\n", str_error(rc));
+		printf("Error creating label (%d).\n", rc);
 		return rc;
 	}
@@ -127,5 +125,5 @@
 	rc = fdisk_part_get_max_avail(fdev, spc_pri, &cap);
 	if (rc != EOK) {
-		printf("Error getting available capacity: %s.\n", str_error(rc));
+		printf("Error getting available capacity (%d).\n", rc);
 		return rc;
 	}
@@ -143,5 +141,6 @@
 
 	/* XXX libfdisk should give us the service name */
-	if (asprintf(pdev, "%sp1", dev) < 0)
+	rc = asprintf(pdev, "%sp1", dev);
+	if (rc < 0)
 		return ENOMEM;
 
@@ -153,11 +152,11 @@
  *
  * @param dev Partition device
- * @return EOK on success or an error code
- */
-static errno_t sysinst_fs_mount(const char *dev)
+ * @return EOK on success or error code
+ */
+static int sysinst_fs_mount(const char *dev)
 {
 	task_wait_t twait;
 	task_exit_t texit;
-	errno_t rc;
+	int rc;
 	int trc;
 
@@ -192,11 +191,11 @@
 /** Copy boot files.
  *
- * @return EOK on success or an error code
- */
-static errno_t sysinst_copy_boot_files(void)
+ * @return EOK on success or error code
+ */
+static int sysinst_copy_boot_files(void)
 {
 	task_wait_t twait;
 	task_exit_t texit;
-	errno_t rc;
+	int rc;
 	int trc;
 
@@ -259,7 +258,7 @@
  *
  * @param devp Disk device
- * @return EOK on success or an error code
- */
-static errno_t sysinst_copy_boot_blocks(const char *devp)
+ * @return EOK on success or error code
+ */
+static int sysinst_copy_boot_blocks(const char *devp)
 {
 	void *boot_img;
@@ -273,5 +272,5 @@
 	aoff64_t core_blocks;
 	grub_boot_blocklist_t *first_bl, *bl;
-	errno_t rc;
+	int rc;
 
 	printf("sysinst_copy_boot_blocks: Read boot block image.\n");
@@ -354,9 +353,9 @@
  *
  * @param dev Device to install to.
- * @return EOK on success or an error code
- */
-static errno_t sysinst_install(const char *dev)
-{
-	errno_t rc;
+ * @return EOK on success or error code
+ */
+static int sysinst_install(const char *dev)
+{
+	int rc;
 	char *pdev;
 
Index: uspace/app/taskdump/elf_core.c
===================================================================
--- uspace/app/taskdump/elf_core.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/elf_core.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,5 +55,4 @@
 #include <stddef.h>
 #include <errno.h>
-#include <str_error.h>
 #include <mem.h>
 #include <as.h>
@@ -62,10 +61,9 @@
 #include <libarch/istate.h>
 #include <vfs/vfs.h>
-#include <str.h>
 
 #include "elf_core.h"
 
 static off64_t align_foff_up(off64_t, uintptr_t, size_t);
-static errno_t write_mem_area(int, aoff64_t *, as_area_info_t *, async_sess_t *);
+static int write_mem_area(int, aoff64_t *, as_area_info_t *, async_sess_t *);
 
 #define BUFFER_SIZE 0x1000
@@ -85,5 +83,5 @@
  *
  */
-errno_t elf_core_save(const char *file_name, as_area_info_t *ainfo, unsigned int n,
+int elf_core_save(const char *file_name, as_area_info_t *ainfo, unsigned int n,
     async_sess_t *sess, istate_t *istate)
 {
@@ -99,5 +97,5 @@
 
 	int fd;
-	errno_t rc;
+	int rc;
 	size_t nwr;
 	unsigned int i;
@@ -125,8 +123,8 @@
 	}
 
-	rc = vfs_lookup_open(file_name, WALK_REGULAR | WALK_MAY_CREATE,
-	    MODE_WRITE, &fd);
-	if (rc != EOK) {
-		printf("Failed opening file '%s': %s.\n", file_name, str_error(rc));
+	fd = vfs_lookup_open(file_name, WALK_REGULAR | WALK_MAY_CREATE,
+	    MODE_WRITE);
+	if (fd < 0) {
+		printf("Failed opening file.\n");
 		free(p_hdr);
 		return ENOENT;
@@ -293,5 +291,5 @@
  *
  */
-static errno_t write_mem_area(int fd, aoff64_t *pos, as_area_info_t *area,
+static int write_mem_area(int fd, aoff64_t *pos, as_area_info_t *area,
     async_sess_t *sess)
 {
@@ -299,5 +297,5 @@
 	size_t total;
 	uintptr_t addr;
-	errno_t rc;
+	int rc;
 	size_t nwr;
 
@@ -308,5 +306,5 @@
 		to_copy = min(area->size - total, BUFFER_SIZE);
 		rc = udebug_mem_read(sess, buffer, addr, to_copy);
-		if (rc != EOK) {
+		if (rc < 0) {
 			printf("Failed reading task memory.\n");
 			return EIO;
Index: uspace/app/taskdump/fibrildump.c
===================================================================
--- uspace/app/taskdump/fibrildump.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/fibrildump.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,5 +43,5 @@
 #include <udebug.h>
 
-static errno_t fibrildump_read_uintptr(void *, uintptr_t, uintptr_t *);
+static int fibrildump_read_uintptr(void *, uintptr_t, uintptr_t *);
 
 static stacktrace_ops_t fibrildump_st_ops = {
@@ -49,5 +49,5 @@
 }; 
 
-static errno_t fibrildump_read_uintptr(void *arg, uintptr_t addr, uintptr_t *data)
+static int fibrildump_read_uintptr(void *arg, uintptr_t addr, uintptr_t *data)
 {
 	async_sess_t *sess = (async_sess_t *)arg;
@@ -56,7 +56,7 @@
 }
 
-static errno_t read_link(async_sess_t *sess, uintptr_t addr, link_t *link)
+static int read_link(async_sess_t *sess, uintptr_t addr, link_t *link)
 {
-	errno_t rc;
+	int rc;
 
 	rc = udebug_mem_read(sess, (void *)link, addr, sizeof(link_t));
@@ -64,7 +64,7 @@
 }
 
-static errno_t read_fibril(async_sess_t *sess, uintptr_t addr, fibril_t *fibril)
+static int read_fibril(async_sess_t *sess, uintptr_t addr, fibril_t *fibril)
 {
-	errno_t rc;
+	int rc;
 
 	rc = udebug_mem_read(sess, (void *)fibril, addr, sizeof(fibril_t));
@@ -72,5 +72,5 @@
 }
 
-errno_t fibrils_dump(symtab_t *symtab, async_sess_t *sess)
+int fibrils_dump(symtab_t *symtab, async_sess_t *sess)
 {
 	uintptr_t fibril_list_addr;
@@ -79,5 +79,5 @@
 	uintptr_t addr, fibril_addr;
 	uintptr_t pc, fp;
-	errno_t rc;
+	int rc;
 
 	/* 
Index: uspace/app/taskdump/include/elf_core.h
===================================================================
--- uspace/app/taskdump/include/elf_core.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/include/elf_core.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include <libarch/istate.h>
 
-extern errno_t elf_core_save(const char *, as_area_info_t *, unsigned int,
+extern int elf_core_save(const char *, as_area_info_t *, unsigned int,
     async_sess_t *, istate_t *);
 
Index: uspace/app/taskdump/include/fibrildump.h
===================================================================
--- uspace/app/taskdump/include/fibrildump.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/include/fibrildump.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include <symtab.h>
 
-extern errno_t fibrils_dump(symtab_t *, async_sess_t *sess);
+extern int fibrils_dump(symtab_t *, async_sess_t *sess);
 
 #endif
Index: uspace/app/taskdump/include/symtab.h
===================================================================
--- uspace/app/taskdump/include/symtab.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/include/symtab.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,8 +48,8 @@
 } symtab_t;
 
-extern errno_t symtab_load(const char *file_name, symtab_t **symtab);
+extern int symtab_load(const char *file_name, symtab_t **symtab);
 extern void symtab_delete(symtab_t *st);
-extern errno_t symtab_name_to_addr(symtab_t *st, const char *name, uintptr_t *addr);
-extern errno_t symtab_addr_to_name(symtab_t *symtab, uintptr_t addr, char **name,
+extern int symtab_name_to_addr(symtab_t *st, const char *name, uintptr_t *addr);
+extern int symtab_addr_to_name(symtab_t *symtab, uintptr_t addr, char **name,
     size_t *offs);
 
Index: uspace/app/taskdump/include/taskdump.h
===================================================================
--- uspace/app/taskdump/include/taskdump.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/include/taskdump.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 #include <stdint.h>
 
-extern errno_t td_stacktrace(uintptr_t, uintptr_t);
+extern int td_stacktrace(uintptr_t, uintptr_t);
 
 #endif
Index: uspace/app/taskdump/symtab.c
===================================================================
--- uspace/app/taskdump/symtab.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/symtab.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,14 +41,12 @@
 #include <stddef.h>
 #include <errno.h>
-#include <str.h>
-#include <str_error.h>
 #include <vfs/vfs.h>
 
 #include "include/symtab.h"
 
-static errno_t elf_hdr_check(elf_header_t *hdr);
-static errno_t section_hdr_load(int fd, const elf_header_t *ehdr, int idx,
+static int elf_hdr_check(elf_header_t *hdr);
+static int section_hdr_load(int fd, const elf_header_t *ehdr, int idx,
     elf_section_header_t *shdr);
-static errno_t chunk_load(int fd, off64_t start, size_t size, void **ptr);
+static int chunk_load(int fd, off64_t start, size_t size, void **ptr);
 
 /** Load symbol table from an ELF file.
@@ -60,5 +58,5 @@
  *			ENOTSUP if file parsing failed.
  */
-errno_t symtab_load(const char *file_name, symtab_t **symtab)
+int symtab_load(const char *file_name, symtab_t **symtab)
 {
 	symtab_t *stab;
@@ -72,5 +70,5 @@
 
 	int fd;
-	errno_t rc;
+	int rc;
 	size_t nread;
 	int i;
@@ -84,7 +82,7 @@
 		return ENOMEM;
 
-	rc = vfs_lookup_open(file_name, WALK_REGULAR, MODE_READ, &fd);
-	if (rc != EOK) {
-		printf("failed opening file '%s': %s\n", file_name, str_error(rc));
+	fd = vfs_lookup_open(file_name, WALK_REGULAR, MODE_READ);
+	if (fd < 0) {
+		printf("failed opening file\n");
 		free(stab);
 		return ENOENT;
@@ -205,5 +203,5 @@
  * @return	EOK on success, ENOENT if no such symbol was found.
  */
-errno_t symtab_name_to_addr(symtab_t *st, const char *name, uintptr_t *addr)
+int symtab_name_to_addr(symtab_t *st, const char *name, uintptr_t *addr)
 {
 	size_t i;
@@ -242,5 +240,5 @@
  * @return	EOK on success or ENOENT if no matching symbol was found.
  */
-errno_t symtab_addr_to_name(symtab_t *st, uintptr_t addr, char **name,
+int symtab_addr_to_name(symtab_t *st, uintptr_t addr, char **name,
     size_t *offs)
 {
@@ -286,7 +284,7 @@
 /** Check if ELF header is valid.
  *
- * @return	EOK on success or an error code.
- */
-static errno_t elf_hdr_check(elf_header_t *ehdr)
+ * @return	EOK on success or negative error code.
+ */
+static int elf_hdr_check(elf_header_t *ehdr)
 {
 	/* TODO */
@@ -303,8 +301,8 @@
  * @return		EOK on success or EIO if I/O failed.
  */
-static errno_t section_hdr_load(int fd, const elf_header_t *elf_hdr, int idx,
+static int section_hdr_load(int fd, const elf_header_t *elf_hdr, int idx,
     elf_section_header_t *sec_hdr)
 {
-	errno_t rc;
+	int rc;
 	size_t nread;
 	aoff64_t pos = elf_hdr->e_shoff + idx * sizeof(elf_section_header_t);
@@ -328,7 +326,7 @@
  * @return		EOK on success or EIO on failure.
  */
-static errno_t chunk_load(int fd, off64_t start, size_t size, void **ptr)
-{
-	errno_t rc;
+static int chunk_load(int fd, off64_t start, size_t size, void **ptr)
+{
+	int rc;
 	size_t nread;
 	aoff64_t pos = start;
Index: uspace/app/taskdump/taskdump.c
===================================================================
--- uspace/app/taskdump/taskdump.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/taskdump/taskdump.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,5 +48,4 @@
 #include <macros.h>
 #include <assert.h>
-#include <str.h>
 
 #include <symtab.h>
@@ -64,11 +63,11 @@
 static symtab_t *app_symtab;
 
-static errno_t connect_task(task_id_t task_id);
+static int connect_task(task_id_t task_id);
 static int parse_args(int argc, char *argv[]);
 static void print_syntax(void);
-static errno_t threads_dump(void);
-static errno_t thread_dump(uintptr_t thash);
-static errno_t areas_dump(void);
-static errno_t td_read_uintptr(void *arg, uintptr_t addr, uintptr_t *value);
+static int threads_dump(void);
+static int thread_dump(uintptr_t thash);
+static int areas_dump(void);
+static int td_read_uintptr(void *arg, uintptr_t addr, uintptr_t *value);
 
 static void autoload_syms(void);
@@ -84,5 +83,5 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc;
+	int rc;
 
 	printf("Task Dump Utility\n");
@@ -93,5 +92,5 @@
 
 	rc = connect_task(task_id);
-	if (rc != EOK) {
+	if (rc < 0) {
 		printf("Failed connecting to task %" PRIu64 ".\n", task_id);
 		return 1;
@@ -106,13 +105,13 @@
 
 	rc = threads_dump();
-	if (rc != EOK)
+	if (rc < 0)
 		printf("Failed dumping threads.\n");
 
 	rc = areas_dump();
-	if (rc != EOK)
+	if (rc < 0)
 		printf("Failed dumping address space areas.\n");
 
 	rc = fibrils_dump(app_symtab, sess);
-	if (rc != EOK)
+	if (rc < 0)
 		printf("Failed dumping fibrils.\n");
 
@@ -123,5 +122,5 @@
 }
 
-static errno_t connect_task(task_id_t task_id)
+static int connect_task(task_id_t task_id)
 {
 	async_sess_t *ksess = async_connect_kbox(task_id);
@@ -141,7 +140,7 @@
 	}
 	
-	errno_t rc = udebug_begin(ksess);
-	if (rc != EOK) {
-		printf("udebug_begin() -> %s\n", str_error_name(rc));
+	int rc = udebug_begin(ksess);
+	if (rc < 0) {
+		printf("udebug_begin() -> %d\n", rc);
 		return rc;
 	}
@@ -211,5 +210,5 @@
 }
 
-static errno_t threads_dump(void)
+static int threads_dump(void)
 {
 	uintptr_t *thash_buf;
@@ -220,10 +219,10 @@
 	size_t needed;
 	size_t i;
-	errno_t rc;
+	int rc;
 
 	/* TODO: See why NULL does not work. */
 	rc = udebug_thread_read(sess, &dummy_buf, 0, &copied, &needed);
-	if (rc != EOK) {
-		printf("udebug_thread_read() -> %s\n", str_error_name(rc));
+	if (rc < 0) {
+		printf("udebug_thread_read() -> %d\n", rc);
 		return rc;
 	}
@@ -238,6 +237,6 @@
 
 	rc = udebug_thread_read(sess, thash_buf, buf_size, &copied, &needed);
-	if (rc != EOK) {
-		printf("udebug_thread_read() -> %s\n", str_error_name(rc));
+	if (rc < 0) {
+		printf("udebug_thread_read() -> %d\n", rc);
 		return rc;
 	}
@@ -261,5 +260,5 @@
 }
 
-static errno_t areas_dump(void)
+static int areas_dump(void)
 {
 	as_area_info_t *ainfo_buf;
@@ -270,9 +269,9 @@
 	size_t needed;
 	size_t i;
-	errno_t rc;
+	int rc;
 
 	rc = udebug_areas_read(sess, &dummy_buf, 0, &copied, &needed);
-	if (rc != EOK) {
-		printf("udebug_areas_read() -> %s\n", str_error_name(rc));
+	if (rc < 0) {
+		printf("udebug_areas_read() -> %d\n", rc);
 		return rc;
 	}
@@ -282,6 +281,6 @@
 
 	rc = udebug_areas_read(sess, ainfo_buf, buf_size, &copied, &needed);
-	if (rc != EOK) {
-		printf("udebug_areas_read() -> %s\n", str_error_name(rc));
+	if (rc < 0) {
+		printf("udebug_areas_read() -> %d\n", rc);
 		return rc;
 	}
@@ -321,10 +320,10 @@
 }
 
-errno_t td_stacktrace(uintptr_t fp, uintptr_t pc)
+int td_stacktrace(uintptr_t fp, uintptr_t pc)
 {
 	uintptr_t nfp;
 	stacktrace_t st;
 	char *sym_pc;
-	errno_t rc;
+	int rc;
 
 	st.op_arg = NULL;
@@ -350,14 +349,14 @@
 }
 
-static errno_t thread_dump(uintptr_t thash)
+static int thread_dump(uintptr_t thash)
 {
 	istate_t istate;
 	uintptr_t pc, fp;
 	char *sym_pc;
-	errno_t rc;
+	int rc;
 
 	rc = udebug_regs_read(sess, thash, &istate);
-	if (rc != EOK) {
-		printf("Failed reading registers: %s.\n", str_error_name(rc));
+	if (rc < 0) {
+		printf("Failed reading registers (%d).\n", rc);
 		return EIO;
 	}
@@ -379,13 +378,13 @@
 }
 
-static errno_t td_read_uintptr(void *arg, uintptr_t addr, uintptr_t *value)
+static int td_read_uintptr(void *arg, uintptr_t addr, uintptr_t *value)
 {
 	uintptr_t data;
-	errno_t rc;
+	int rc;
 
 	(void) arg;
 
 	rc = udebug_mem_read(sess, &data, addr, sizeof(data));
-	if (rc != EOK) {
+	if (rc < 0) {
 		printf("Warning: udebug_mem_read() failed.\n");
 		return rc;
@@ -400,12 +399,11 @@
 {
 	char *file_name;
-	errno_t rc;
-	int ret;
+	int rc;
 
 	assert(app_name != NULL);
 	assert(app_symtab == NULL);
 
-	ret = asprintf(&file_name, "/app/%s", app_name);
-	if (ret < 0) {
+	rc = asprintf(&file_name, "/app/%s", app_name);
+	if (rc < 0) {
 		printf("Memory allocation failure.\n");
 		exit(1);
@@ -421,6 +419,6 @@
 	free(file_name);
 
-	ret = asprintf(&file_name, "/srv/%s", app_name);
-	if (ret < 0) {
+	rc = asprintf(&file_name, "/srv/%s", app_name);
+	if (rc < 0) {
 		printf("Memory allocation failure.\n");
 		exit(1);
@@ -434,6 +432,6 @@
 	}
 
-	ret = asprintf(&file_name, "/drv/%s/%s", app_name, app_name);
-	if (ret < 0) {
+	rc = asprintf(&file_name, "/drv/%s/%s", app_name, app_name);
+	if (rc < 0) {
 		printf("Memory allocation failure.\n");
 		exit(1);
@@ -456,8 +454,8 @@
 	size_t copied, needed, name_size;
 	char *name;
-	errno_t rc;
+	int rc;
 
 	rc = udebug_name_read(sess, &dummy_buf, 0, &copied, &needed);
-	if (rc != EOK)
+	if (rc < 0)
 		return NULL;
 
@@ -465,5 +463,5 @@
 	name = malloc(name_size + 1);
 	rc = udebug_name_read(sess, name, name_size, &copied, &needed);
-	if (rc != EOK) {
+	if (rc < 0) {
 		free(name);
 		return NULL;
@@ -489,6 +487,5 @@
 	char *name;
 	size_t offs;
-	errno_t rc;
-	int ret;
+	int rc;
 	char *str;
 
@@ -500,10 +497,10 @@
 
 	if (rc == EOK) {
-		ret = asprintf(&str, "%p (%s+%zu)", (void *) addr, name, offs);
+		rc = asprintf(&str, "%p (%s+%zu)", (void *) addr, name, offs);
 	} else {
-		ret = asprintf(&str, "%p", (void *) addr);
-	}
-
-	if (ret < 0) {
+		rc = asprintf(&str, "%p", (void *) addr);
+	}
+
+	if (rc < 0) {
 		printf("Memory allocation error.\n");
 		exit(1);
Index: uspace/app/tester/chardev/chardev1.c
===================================================================
--- uspace/app/tester/chardev/chardev1.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/tester/chardev/chardev1.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -28,5 +28,4 @@
 
 #include <errno.h>
-#include <str_error.h>
 #include <ipc/services.h>
 #include <io/chardev.h>
@@ -47,5 +46,5 @@
 	async_sess_t *sess;
 	size_t nbytes;
-	errno_t rc;
+	int rc;
 
 	TPRINTF("Test small transfer character device operations\n");
@@ -99,5 +98,5 @@
 	async_sess_t *sess;
 	size_t nbytes;
-	errno_t rc;
+	int rc;
 
 	TPRINTF("Test large transfer character device operations\n");
@@ -151,5 +150,5 @@
 	async_sess_t *sess;
 	size_t nbytes;
-	errno_t rc;
+	int rc;
 
 	TPRINTF("Test partially-successful character device operations\n");
@@ -178,6 +177,5 @@
 	}
 
-	TPRINTF("Sent %zu bytes and got rc = %s (expected)\n", nbytes,
-	    str_error_name(rc));
+	TPRINTF("Sent %zu bytes and got rc = %d (expected)\n", nbytes, rc);
 
 	rc = chardev_read(chardev, small_buffer, SMALL_BUFFER_SIZE, &nbytes);
@@ -188,6 +186,5 @@
 	}
 
-	TPRINTF("Received %zu bytes and got rc = %s (expected)\n", nbytes,
-	    str_error_name(rc));
+	TPRINTF("Received %zu bytes and got rc = %d (expected)\n", nbytes, rc);
 
 	chardev_close(chardev);
Index: uspace/app/tester/float/float1.c
===================================================================
--- uspace/app/tester/float/float1.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/tester/float/float1.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -28,5 +28,4 @@
  */
 
-#include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -76,5 +75,5 @@
 	TPRINTF("Creating threads");
 	for (unsigned int i = 0; i < THREADS; i++) {
-		if (thread_create(e, NULL, "e", NULL) != EOK) {
+		if (thread_create(e, NULL, "e", NULL) < 0) {
 			TPRINTF("\nCould not create thread %u\n", i);
 			break;
Index: uspace/app/tester/hw/serial/serial1.c
===================================================================
--- uspace/app/tester/hw/serial/serial1.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/tester/hw/serial/serial1.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
 	serial_t *serial;
 	chardev_t *chardev;
-	errno_t rc;
+	int rc;
 	size_t nread;
 	size_t nwritten;
@@ -75,5 +75,5 @@
 	
 	service_id_t svc_id;
-	errno_t res = loc_service_get_id("devices/\\hw\\pci0\\00:01.0\\com1\\a",
+	int res = loc_service_get_id("devices/\\hw\\pci0\\00:01.0\\com1\\a",
 	    &svc_id, IPC_FLAG_BLOCKING);
 	if (res != EOK)
Index: uspace/app/tester/ipc/ping_pong.c
===================================================================
--- uspace/app/tester/ipc/ping_pong.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/app/tester/ipc/ping_pong.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,5 +55,5 @@
 		size_t i;
 		for (i = 0; i < COUNT_GRANULARITY; i++) {
-			errno_t retval = ns_ping();
+			int retval = ns_ping();
 			
 			if (retval != EOK) {
